function [t,v,d] = SyntheticalTrip (busstop_distances,intersection_distances,busstop_min,width,a_max,v_kmph_max,triplength)
  v_max = v_kmph_max * (5/18);  # kmph --> mps
  v_min = 0;
  t_step = 0.25; 
  a = a_max/5;
  v = 0;
  d = 0;
  t = 0;
  v_t = 0;
  d_t = 0;
  t_t = 0;
  a = a_max/5;
## Berechnet die bentigten Streck um v_max zu erreichen-------
  h = 1;
  do    
    h++;
    if h == 2
      ##-----Anfahrbeschleunigung--
      do
        v_t(h) = a * t_step + v_t(h-1);
        a += a_max/5;
        d_t(h) = v_t(h)*t_step + d_t(h-1);
        h++;
      until (a >= a_max)    
      h--;
    else    
      v_t(h) = a_max * t_step + v_t(h-1);      
    endif
    if(v_t(h) >= v_max)
      v_t(h) = v_max;
    endif
    d_t(h) = v_t(h)*t_step + d_t(h-1);
  until(v_t(h) == v_max) 
  i = length(v_t);
  ##----bentigte_Strecke_von_v_max_bis_v_min-------  
  do
    i++;
      v_t(i) = v_t(i-1) - a_max * t_step;
      if (v_t(i) <= v_min)
        v_t(i) = v_min;
      endif 
      d_t(i) = v_t(i)*t_step + d_t(i-1);   
  until(v_t(i) == v_min)
  d_brems = d_t(i) - d_t(h);
  d_bis_v_max = d_t(h);
  d_ges_acc = d_bis_v_max + d_brems;  ##Bedingung um bis v_max zu beschl. 
  d_acc_p = d_bis_v_max / d_ges_acc;  ##Falls d_intersection < d_ges_acc
#.....................................................
  i = 1;
  r = 1;
  do  
    ##-----Haltestellenabstand_generieren----------
    d_busstop(r) = InverseTransformation(busstop_distances, width);
    if d_busstop(r) < busstop_min
      d_busstop(r) = busstop_min;
    endif    
    if sum(d_busstop) + busstop_min > triplength
      d_busstop(r) = d_busstop(r) + triplength - sum(d_busstop);
    endif
    j=1;
    d_intersection = 0;
    do
      ##---abzufahrende_Strecke_generieren---------
      d_intersection(j) = InverseTransformation(intersection_distances, width);           
      m = length(d);     
      if sum(d_intersection) >= d_busstop(r)
        d_intersection(j) = d_busstop(r) + d_intersection(j) - sum(d_intersection);
      endif
      ##---Anfang/Abbruch_Bedingung_der_Bewegungen-
      if d_intersection(j) > d_ges_acc
        d_acc_way = 0;
        d_unif_mo = d_intersection(j) - d_ges_acc;        
      else
        d_acc_way = d_acc_p * d_intersection(j);
        d_unif_mo = 0;
      endif 
#..........Geschwindigkeitsprofil_berechnen............
      a = a_max/5;
      ##------------Anfahrtbewegung-----------
      do    
        if a < a_max
          do
            i++;
            v(i) = a * t_step + v(i-1);
            a += a_max/5;
            d(i) = v(i)*t_step + d(i-1);
            t(i) = t_step + t(i-1);
          until (a == a_max)          
        else
          i++;
          v(i) = a_max * t_step + v(i-1);
          t(i) = t_step + t(i-1);
          d(i) = v(i)*t_step + d(i-1);
        endif
        if(v(i) >= v_max)
          v(i) = v_max;
        endif    
        if d(i) >= d_acc_way + d(m) && d_unif_mo == 0
            d(i) = d_acc_way + d(m);
        endif
      until(v(i) == v_max || d(i) == d_acc_way + d(m) && d_unif_mo == 0 ) 
      #----------gleichfrmige_Bewegung---------
      if d_unif_mo > 0
        do
          i++;
          t(i) = t(i-1) + t_step;
          v(i) = v(i-1);
          d(i) = v(i)*t_step + d(i-1);
          if d(i) > d_unif_mo + d_bis_v_max + d(m)
            d(i) = d_unif_mo + d_bis_v_max + d(m);
          endif
        until(d(i) == d_unif_mo + d_bis_v_max + d(m))
      endif
      #--------------Bremsbewegung--------------
      do
        i++;
          v(i) = v(i-1) - a_max * t_step;
          if (v(i) <= v_min)
            v(i) = v_min;
          endif 
          d(i) = v(i)*t_step + d(i-1);   
          t(i) = t_step + t(i-1);
      until(v(i) == v_min)
      j++;
    until( d_busstop(r) == sum(d_intersection))
    r++;
  until( triplength == sum(d_busstop) )
#......................................................
  i = 1;
  do
    v(i) *= (18/5);       # mPs -> kmPs
    i++;
  until ( i == length(v))
endfunction