pkg load io;
##------load_input_data-----------------
addpath('c:\Octave\Octave-5.1.0.0\home\ocz\jsonlab-1.9.8');
routeconditions = loadjson('distances-route53.json');
##------input_data_from_json_file-------
a_max = routeconditions.accelerationmps; 
v_kmph_max = routeconditions.maxspeedkmph;
triplength = routeconditions.routedistance;
width = routeconditions.bucket_width;
intersection_distances = routeconditions.intersection; 
busstop_distances = routeconditions.busstop; 
busstop_min = routeconditions.busstop_min;

##------velocity_profile_generator------
[t,v] = SyntheticalTrip (busstop_distances,intersection_distances ,busstop_min,width,a_max,v_kmph_max,triplength);

##------output_sheet--------------------

  rep_txt = fopen('report.csv', 'a');
  #-----[TIME,SPEED]------
  dlmwrite(rep_txt,[vec(t),vec(v)], ",");
  xlswrite("report.xlsx",[vec(t),vec(v)]);
  fclose(rep_txt);

##....................................................
##
##-------------variable_definition--------------------
##  -----------SyntheticalTrip---------
##  v -> (berechnete) Geschwindigkeit
##  d -> (berechnete) Strecke
##  t -> (berechnete) Fahrtdauer
##  a_max -> Beschleunigung
##  v_kmph_max -> maximale Geschwindigkeit
##  triplength -> Streckenlnge der Buslinie
##  width -> Bucketgre
##  intersection_distances -> Abstnde aller Knotenpunkte der Buslinie
##  busstop_distances -> Haltestellenabstnde der Buslinie
##  busstop_min -> Mindeststreckenlnge
##  d_busstop -> zufllig generierter Haltestellenabschnitt
##  d_intersection -> zufllig generierter Streckenabschnitt
##  v_min -> minimale Geschwindigkeit
##  t_step -> Zeitschritt
##  a -> Beschleunigung vor dem Anfahren
##  d_brems -> Bremsweg bis v_min
##  d_bis_v_max -> Beschleunigungsweg auf v_max
##  d_ges_acc -> Anfahrt- und Bremsweg
##  d_acc_p -> Verhltnis Anfahrt zu Anfahrt&Bremsweg
##  -----------InverseTransformation---------
##  width -> bucket size
##  z -> random number
##  f -> frequency
##  y -> PDF
##  y_cdf -> CDF
##  d -> generated distance
